#
# spec file for package xlsfonts
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xlsfonts
Version:        1.0.8
Release:        1.3
Summary:        Utility to list fonts available from an X server
License:        X11
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.4
BuildRequires:  pkgconfig(xproto) >= 7.0.17
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xlsfonts lists fonts available from an X server via the X11 core
protocol.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.md
%{_bindir}/xlsfonts
%{_mandir}/man1/xlsfonts.1%{?ext_man}

%changelog
* Sat Mar  2 2024 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.7
  * This release fixes a failure to build with the upcoming gcc 14.
* Mon Apr  4 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.7
  * bugfix release
* Wed Apr  4 2018 sndirsch@suse.com
- Update to version 1.0.6
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * Add -v option to synopsis in man page
  * autogen.sh: use exec instead of waiting for configure to finish
* Fri Apr 24 2015 sndirsch@suse.com
- Update to version 1.0.5:
  * config: Add missing AC_CONFIG_SRCDIR
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Print which option was in error along with usage message
  * Add -version option to print program version
  * Remove old CVS id tags
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Tue Apr 17 2012 dimstar@opensuse.org
- Update to version 1.0.4:
  + Compiler warning silencing
  + Build system fixes.
- Add pkgconfig(xproto) BuildRequires: new upstream dependency.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xlsfonts from xorg-x11. Initial version: 1.0.3.
